IACA
Create an IACA
/v2/credentials/mobile/iacasAuthorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v2/credentials/mobile/iacas" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "certificatePem": "string", "certificateData": { "notAfter": "2019-08-24", "notBefore": "2019-08-24", "country": "string", "commonName": "{tenantDomain} IACA", "stateOrProvinceName": "string" }, "certificateFingerprint": "string", "isManaged": true}Retrieve all IACAs
/v2/credentials/mobile/iacasAuthorization
bearerAuth In: header
Response Body
application/json
curl -X GET "https://example.com/v2/credentials/mobile/iacas"{ "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "certificatePem": "string", "certificateData": { "notAfter": "2019-08-24", "notBefore": "2019-08-24", "country": "string", "commonName": "{tenantDomain} IACA", "stateOrProvinceName": "string" }, "certificateFingerprint": "string", "isManaged": true } ], "nextCursor": "string"}Retrieve an IACA
/v2/credentials/mobile/iacas/{iacaId}Authorization
bearerAuth In: header
Path Parameters
IACA ID
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v2/credentials/mobile/iacas/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "certificatePem": "string", "certificateData": { "notAfter": "2019-08-24", "notBefore": "2019-08-24", "country": "string", "commonName": "{tenantDomain} IACA", "stateOrProvinceName": "string" }, "certificateFingerprint": "string", "isManaged": true}Update an IACA
/v2/credentials/mobile/iacas/{iacaId}Authorization
bearerAuth In: header
Path Parameters
IACA ID
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v2/credentials/mobile/iacas/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "active": false }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "certificatePem": "string", "certificateData": { "notAfter": "2019-08-24", "notBefore": "2019-08-24", "country": "string", "commonName": "{tenantDomain} IACA", "stateOrProvinceName": "string" }, "certificateFingerprint": "string", "isManaged": true}Delete an IACA
/v2/credentials/mobile/iacas/{iacaId}Authorization
bearerAuth In: header
Path Parameters
IACA ID
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.com/v2/credentials/mobile/iacas/497f6eca-6276-4993-bfeb-53cbbbba6f08"How would you rate this page?
Last updated on